<?php
/**
 * Customiser section for featured
 **/
// Start Feature section 
$wp_customize->add_section(
    'lz_fitness_premium_featured_product_section',
    array(
        'title' => __( 'Featured Products', 'lz-fitness-premium' ),
        'panel' => 'lz_fitness_premium_home_panel'
    )
);
// ENABLE/DISABLE FEATURED PRODUCT SECTION
$wp_customize->add_setting(
    'lz_fitness_premium_featured_product_section_disable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
    )
);
$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'lz_fitness_premium_featured_product_section_disable',
        array(
            'settings'      => 'lz_fitness_premium_featured_product_section_disable',
            'section'       => 'lz_fitness_premium_featured_product_section',
            'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'lz-fitness-premium' ),
                'off' => __( 'No', 'lz-fitness-premium' )
            ),
        )
    )
);

backgroundManager($wp_customize, 'featuredproduct', 'lz_fitness_premium_featured_product_section', $color='#efefef', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting(
    'lz_fitness_featured_product_title_sub_title_heading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text'
    )
);
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_featured_product_title_sub_title_heading',
        array(
            'settings'      => 'lz_fitness_featured_product_title_sub_title_heading',
            'section'       => 'lz_fitness_premium_featured_product_section',
            'label'         => __( 'Section Title & Sub Title', 'lz-fitness-premium' ),
        )
    )
);    
$wp_customize->add_setting(
    'lz_fitness_featured_product_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'OUR PRODUCTS', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'lz_fitness_featured_product_title',
    array(
        'settings'      => 'lz_fitness_featured_product_title',
        'section'       => 'lz_fitness_premium_featured_product_section',
        'type'          => 'text',
        'label'         => __( 'Title', 'lz-fitness-premium' )
    )
);

$wp_customize->add_setting(
    'lz_fitness_featured_product_sub_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'There are many variations passes Lorem Ipsum available but the majority have suffered alteation some form.', 'lz-fitness-premium' )
    )
);
$wp_customize->add_control(
    'lz_fitness_featured_product_sub_title',
    array(
        'settings'      => 'lz_fitness_featured_product_sub_title',
        'section'       => 'lz_fitness_premium_featured_product_section',
        'type'          => 'textarea',
        'label'         => __( 'Sub Title', 'lz-fitness-premium' )
    )
);

// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_featured_product_HeadingColor', 'lz_fitness_premium_featured_product_section', 'Heading color ', '#ffffff');
// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_featured_product_SpanHeadingColor', 'lz_fitness_premium_featured_product_section', 'Sub Heading color ', '#2b2b2b');
// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_featured_product_spanBackgroundColor', 'lz_fitness_premium_featured_product_section', 'Heading Background color', '#69489d');
    // outline color 
addColorPalatOption($wp_customize, 'lz_fitness_featured_product_spanoulineHeadingColor', 'lz_fitness_premium_featured_product_section', 'Outline Color', '#69489d');

// Product Name color
addColorPalatOption($wp_customize, 'lz_fitness_featured_product_NameColor', 'lz_fitness_premium_featured_product_section', 'Product Name color ', '#212121');
// Product Regular Price color
addColorPalatOption($wp_customize, 'lz_fitness_featured_product_pricedelColor', 'lz_fitness_premium_featured_product_section', 'Product Regular Price color ', '#212121');
// Product Sale Price color
addColorPalatOption($wp_customize, 'lz_fitness_featured_product_priceinsColor', 'lz_fitness_premium_featured_product_section', 'Product Sale Price color ', '#69489d');

// Button Text color
addColorPalatOption($wp_customize, 'lz_fitness_featured_product_btntextColor', 'lz_fitness_premium_featured_product_section', ' Button Text color ', '#69489d');
//  Button Border color
addColorPalatOption($wp_customize, 'lz_fitness_featured_product_btnborderColor', 'lz_fitness_premium_featured_product_section', ' Button Border color ', '#69489d');
// Button Double Border color
addColorPalatOption($wp_customize, 'lz_fitness_featured_product_btnborderafterColor', 'lz_fitness_premium_featured_product_section', ' Button Double Border color ', '#69489d');

